import { PaginationMode } from './types';
export declare type DataGridStylesParams = {
    height?: string | number;
    width?: string | number;
    noEllipsis?: boolean;
    withFixedHeader?: boolean;
    paginationMode?: PaginationMode;
};
declare const _default: (params: DataGridStylesParams, options?: import("@mantine/core").UseStylesOptions<"filter" | "wrapper" | "scrollArea" | "table" | "thead" | "tbody" | "tr" | "th" | "td" | "headerCell" | "headerCellContent" | "resizer" | "headerCellButtons" | "dataCell" | "dataCellContent" | "sorter" | "globalFilter" | "pagination" | "pagination_info" | "pagination_size" | "pagination_page"> | undefined) => {
    classes: Record<"filter" | "wrapper" | "scrollArea" | "table" | "thead" | "tbody" | "tr" | "th" | "td" | "headerCell" | "headerCellContent" | "resizer" | "headerCellButtons" | "dataCell" | "dataCellContent" | "sorter" | "globalFilter" | "pagination" | "pagination_info" | "pagination_size" | "pagination_page", string>;
    cx: (...args: any) => string;
    theme: import("@mantine/core").MantineTheme;
};
export default _default;
